<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimer5: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">kmTimer5
   </div>
   <div id="projectbrief">kmTimer5 library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:</div>

<h3><a id="index_k"></a>- k -</h3><ul>
<li>KM_TCC5_MINIMUM_PWM_CYCCLE_ACCURACY
: <a class="el" href="km_timer5_default_config_8h.html#ad257faf06b6205ff8b624cd08f569943">kmTimer5DefaultConfig.h</a>
</li>
<li>KM_TCC5_PWM_OUT_A
: <a class="el" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa6cad1853b2691e148b7959c9fd989672">kmTimer5.h</a>
</li>
<li>KM_TCC5_PWM_OUT_B
: <a class="el" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa14dd5774a69f68fe4e7d1d0ac4569679">kmTimer5.h</a>
</li>
<li>KM_TCC5_PWM_OUT_C
: <a class="el" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165aa17b8edd9dc56d7a04e7b663930fe9a58">kmTimer5.h</a>
</li>
<li>KM_TIMER5_USER_DATA
: <a class="el" href="km_timer5_8h.html#a0353cccf3820fe50dcf642c24f18a0ee">kmTimer5.h</a>
</li>
<li>kmTimer5CalcDutyOnCycles()
: <a class="el" href="km_timer5_8h.html#a15fdc8fb6a56d08622e4d1f88ba232eb">kmTimer5.h</a>
</li>
<li>kmTimer5CalcPerdiod()
: <a class="el" href="km_timer5_8h.html#afaed698648bc63c36291e3328de04a74">kmTimer5.h</a>
</li>
<li>kmTimer5CalcPerdiodWithMinPwmAccuracy()
: <a class="el" href="km_timer5_8h.html#a26fa33e52bd7f0e2701f9530c70e6ee2">kmTimer5.h</a>
</li>
<li>kmTimer5CallbackType
: <a class="el" href="km_timer5_8h.html#a0f28846aecb364d82c5a8fd322727ac5">kmTimer5.h</a>
</li>
<li>kmTimer5ConfigureOCA()
: <a class="el" href="km_timer5_8h.html#a5067db8e2bc8d2123a8d4c5b7cb66084">kmTimer5.h</a>
</li>
<li>kmTimer5ConfigureOCB()
: <a class="el" href="km_timer5_8h.html#afbd46ee102b15d810b0fcc565ae34792">kmTimer5.h</a>
</li>
<li>kmTimer5ConfigureOCC()
: <a class="el" href="km_timer5_8h.html#aca54e248c940c9a21e7ec2df79104ac5">kmTimer5.h</a>
</li>
<li>kmTimer5DisableInterruptCompA()
: <a class="el" href="km_timer5_8h.html#af9a9af03341eb9dd771783d36054dac2">kmTimer5.h</a>
</li>
<li>kmTimer5DisableInterruptCompB()
: <a class="el" href="km_timer5_8h.html#af47ed0f82f1a58c23852ef0bbd0ab14d">kmTimer5.h</a>
</li>
<li>kmTimer5DisableInterruptCompC()
: <a class="el" href="km_timer5_8h.html#ae8c56ed33e365bb30154de311ea93c1b">kmTimer5.h</a>
</li>
<li>kmTimer5DisableInterruptOVF()
: <a class="el" href="km_timer5_8h.html#af4e6cc554f30add4a75899326d7a4bab">kmTimer5.h</a>
</li>
<li>kmTimer5DisableInterruptsAll()
: <a class="el" href="km_timer5_8h.html#a8ddd1a3019bed09c6b28876aa3a96139">kmTimer5.h</a>
</li>
<li>kmTimer5EnableInterruptCompA()
: <a class="el" href="km_timer5_8h.html#a9cb71e88842b49b6422dcc9f136da720">kmTimer5.h</a>
</li>
<li>kmTimer5EnableInterruptCompB()
: <a class="el" href="km_timer5_8h.html#ad077307cfe22370939cf6373fe0692f5">kmTimer5.h</a>
</li>
<li>kmTimer5EnableInterruptCompC()
: <a class="el" href="km_timer5_8h.html#ac17b3f2e3ab99cffd52d5b9ed26dda7a">kmTimer5.h</a>
</li>
<li>kmTimer5EnableInterruptInpCapture()
: <a class="el" href="km_timer5_8h.html#ab579f50d204342a55617530be6873ff1">kmTimer5.h</a>
</li>
<li>kmTimer5EnableInterruptOVF()
: <a class="el" href="km_timer5_8h.html#ab66af5c2c26f9df16548c912cf3397a0">kmTimer5.h</a>
</li>
<li>kmTimer5GetValueCompA()
: <a class="el" href="km_timer5_8h.html#a041b98a6975619325eb412c7dcfd7abb">kmTimer5.h</a>
</li>
<li>kmTimer5GetValueCompB()
: <a class="el" href="km_timer5_8h.html#a04ba53b30510ac23f7ee12848ec76361">kmTimer5.h</a>
</li>
<li>kmTimer5GetValueCompC()
: <a class="el" href="km_timer5_8h.html#a0a5944366eb7d6171e73473513922c49">kmTimer5.h</a>
</li>
<li>kmTimer5GetValueOvf()
: <a class="el" href="km_timer5_8h.html#aacf1b1ba8b3897b2043b826c004905c3">kmTimer5.h</a>
</li>
<li>kmTimer5Init()
: <a class="el" href="km_timer5_8h.html#af686273d29a3bfaaf45d85a152894aa1">kmTimer5.h</a>
</li>
<li>kmTimer5InitExternal()
: <a class="el" href="km_timer5_8h.html#aba3168f114077e8e5a1d5bd689f87d4f">kmTimer5.h</a>
</li>
<li>kmTimer5InitInputCapture()
: <a class="el" href="km_timer5_8h.html#a82770d83116a14c472193185152019d3">kmTimer5.h</a>
</li>
<li>kmTimer5InitOnAccuratePeriodGenerateOutputClockA()
: <a class="el" href="km_timer5_8h.html#a3b63153a0bcd2b48fa9af6406a168934">kmTimer5.h</a>
</li>
<li>kmTimer5InitOnAccurateTimeCompABInterruptCallback()
: <a class="el" href="km_timer5_8h.html#ab6e5fb38a37df81ea8834c1e12e97ee5">kmTimer5.h</a>
</li>
<li>kmTimer5InitOnAccurateTimeCompAInterruptCallback()
: <a class="el" href="km_timer5_8h.html#a6351652db5208e8478e09745df2a3882">kmTimer5.h</a>
</li>
<li>kmTimer5InitOnAccurateTimeFastPwm()
: <a class="el" href="km_timer5_8h.html#abb2219024157f33f25e72d9ba5b630b7">kmTimer5.h</a>
</li>
<li>kmTimer5InitOnAccurateTimePcPwm()
: <a class="el" href="km_timer5_8h.html#ab5435dbe0dcc78050cac609a40d782c9">kmTimer5.h</a>
</li>
<li>kmTimer5InitOnPrescalerBottomToTopFastPwm()
: <a class="el" href="km_timer5_8h.html#a8a70db2cf19dccecea1ed8405a387e42">kmTimer5.h</a>
</li>
<li>kmTimer5InitOnPrescalerBottomToTopOvfCompABCInterruptCallback()
: <a class="el" href="km_timer5_8h.html#a471d507f4f78162899e48cc171b5a48b">kmTimer5.h</a>
</li>
<li>kmTimer5InitOnPrescalerBottomToTopPcPwm()
: <a class="el" href="km_timer5_8h.html#a75fc7ddf760ca77968e961f8cf5ce134">kmTimer5.h</a>
</li>
<li>kmTimer5InpCaptureCallbackType
: <a class="el" href="km_timer5_8h.html#a3552fa1b6afa4e1e79f0bf4e6ec37a34">kmTimer5.h</a>
</li>
<li>kmTimer5InpCaputureGetState()
: <a class="el" href="km_timer5_8h.html#a1b6a1d922480a3aca63a1b9a7546a75a">kmTimer5.h</a>
</li>
<li>kmTimer5RegisterCallbackCompA()
: <a class="el" href="km_timer5_8h.html#af41f7041458ed08a7e1f5f0a45b8f925">kmTimer5.h</a>
</li>
<li>kmTimer5RegisterCallbackCompB()
: <a class="el" href="km_timer5_8h.html#ad6ab972eaa0adacd26b683c294e48a92">kmTimer5.h</a>
</li>
<li>kmTimer5RegisterCallbackCompC()
: <a class="el" href="km_timer5_8h.html#aea98028fdf1c2115182aea6c174d091b">kmTimer5.h</a>
</li>
<li>kmTimer5RegisterCallbackInpCapture()
: <a class="el" href="km_timer5_8h.html#a3627f056b0b116b102046048c94a36d9">kmTimer5.h</a>
</li>
<li>kmTimer5RegisterCallbackOVF()
: <a class="el" href="km_timer5_8h.html#a9bfc469630b54f3d64cac2e218c15d10">kmTimer5.h</a>
</li>
<li>kmTimer5Restart()
: <a class="el" href="km_timer5_8h.html#a3e3fc0ae63d72c7e8742c327dee1f81e">kmTimer5.h</a>
</li>
<li>kmTimer5SetCallbackUserDataCompA()
: <a class="el" href="km_timer5_8h.html#a749d526cc8bfa39b3b37773752d45c05">kmTimer5.h</a>
</li>
<li>kmTimer5SetCallbackUserDataCompB()
: <a class="el" href="km_timer5_8h.html#a3f2efd7c9201ffa74c6ae4cf71b3535b">kmTimer5.h</a>
</li>
<li>kmTimer5SetCallbackUserDataCompC()
: <a class="el" href="km_timer5_8h.html#aa5080a0c8b5dd743fb3840387786112b">kmTimer5.h</a>
</li>
<li>kmTimer5SetCallbackUserDataOVF()
: <a class="el" href="km_timer5_8h.html#a5d6cb731e928ba17e088f597db451192">kmTimer5.h</a>
</li>
<li>kmTimer5SetPwmDutyAccurateTimeModes()
: <a class="el" href="km_timer5_8h.html#a441d7cc64fb989f10f08df8599bc7e12">kmTimer5.h</a>
</li>
<li>kmTimer5SetPwmDutyBottomToTop()
: <a class="el" href="km_timer5_8h.html#a14ee745f5d87e28c4745f9d7dcc6bd5c">kmTimer5.h</a>
</li>
<li>kmTimer5SetPwmInversion()
: <a class="el" href="km_timer5_8h.html#a24de52bb12757936a68738e2dcd296db">kmTimer5.h</a>
</li>
<li>kmTimer5SetValueCompA()
: <a class="el" href="km_timer5_8h.html#a3516dc4418080892c6b4a47ee8d74279">kmTimer5.h</a>
</li>
<li>kmTimer5SetValueCompB()
: <a class="el" href="km_timer5_8h.html#ada7c0ecf65e31fd960e419e80285130e">kmTimer5.h</a>
</li>
<li>kmTimer5SetValueCompC()
: <a class="el" href="km_timer5_8h.html#a8071f144452fa1c63202195f332a5e8f">kmTimer5.h</a>
</li>
<li>kmTimer5SetValueOvf()
: <a class="el" href="km_timer5_8h.html#aa30a2cc335ed7e499f8b79b9b786fe4c">kmTimer5.h</a>
</li>
<li>kmTimer5Start()
: <a class="el" href="km_timer5_8h.html#a55f61440bf7da7739225c939922471c7">kmTimer5.h</a>
</li>
<li>kmTimer5Stop()
: <a class="el" href="km_timer5_8h.html#a92ac9cfc675645448ddab6d6ff76a86a">kmTimer5.h</a>
</li>
<li>kmTimer5UnregisterCallbackCompA()
: <a class="el" href="km_timer5_8h.html#a93d71383f67be0cfc73d9a5db9cdbf22">kmTimer5.h</a>
</li>
<li>kmTimer5UnregisterCallbackCompB()
: <a class="el" href="km_timer5_8h.html#aee22cf2a4a4da087f6b8dffd1a5c8ccc">kmTimer5.h</a>
</li>
<li>kmTimer5UnregisterCallbackCompC()
: <a class="el" href="km_timer5_8h.html#a882d911831f9da345e93527a5ee02510">kmTimer5.h</a>
</li>
<li>kmTimer5UnregisterCallbackInpCapture()
: <a class="el" href="km_timer5_8h.html#aba144179072da539ad49497e13829b05">kmTimer5.h</a>
</li>
<li>kmTimer5UnregisterCallbackOVF()
: <a class="el" href="km_timer5_8h.html#ae29f5bbf60150fa3035d5ceb122c0e73">kmTimer5.h</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>Tcc5PwmOut
: <a class="el" href="km_timer5_8h.html#a28daf874cf0c73fdd6bedb01b4ea165a">kmTimer5.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.15 </li>
  </ul>
</div>
</body>
</html>
